#! /bin/bash
#
# Edit configuration
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

require_script_once "configure_utils.sh"

# Default parameter
: ${edit_config_method:=gconfig}

cd ${buildDir}

do_buildstep_prepend

if [ -r .config ]; then
	old_config="$(dot_config_hash .config)"
else
	fatal "Can't edit configuration if package was not already configured"
fi

if [ "$edit_config_method" = "menuconfig" -o "$edit_config_method" = "nconfig" ]; then
	execute_in_terminal make $edit_config_method
else
	if make $edit_config_method; then
		true # The requested config method (xconfig or gconfig) has worked
	else
		# Xconfig nor gconfig worked (missing QT or GTK); fallback to menuconfig
		execute_in_terminal make menuconfig
	fi
fi
status=$?

if [  $status -eq 0 ]; then
	update_configure_status "$old_config"
else
	set_status $status
fi

do_buildstep_append
